unofficial mirror of guile-devel@gnu.org 
 help / color / mirror / Atom feed
* Guile 3.0.7 can not be compiled on Fedora rawhide
@ 2021-07-15 12:12 Tomas Korbar
  0 siblings, 0 replies; only message in thread
From: Tomas Korbar @ 2021-07-15 12:12 UTC (permalink / raw)
  To: guile-devel

[-- Attachment #1: Type: text/plain, Size: 607 bytes --]

Hi Guys,
I am trying to package guile 3.0.7 into Fedora but I encountered a problem.
In sources, there is a header lib/libc-config.h and then there is
preprocessor condition for presence of __attribute_maybe_unused__ macro.
This macro is newly defined in the latest version of glibc which we have in
Fedora rawhide but other macros upon which guile relies are not defined,
specifically it is __attribute_nonnull__. Do you have any idea how to solve
this situation? Currently guile 3.0.7 can not be compiled on Fedora rawhide
without manual removal of previously described conditional.

Thanks for any help.

[-- Attachment #2: Type: text/html, Size: 684 bytes --]

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2021-07-15 12:12 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-07-15 12:12 Guile 3.0.7 can not be compiled on Fedora rawhide Tomas Korbar

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).